/**
 * Test der Klasse Menge.
 * 
 * @author Owyn
 * @version 2007-05-28
 */
public class MengenTest {

	// Die Kommentare hinter den Ausgabezeilen zeigen das erwartete Ergebnis.

    /**
     * Startet den Test.
     */
	public static void test() {
	    main(new String[0]);
    }
    
    /**
     * Startet den Test.
     * 
     * @param args wird ignoriert
     */
	public static void main(String[] args) {
		Menge m = new Menge();
		m.fuegeEin(5);
		m.fuegeEin(7);
		m.fuegeEin(4);
		m.fuegeEin(8);
		System.out.println("Groesse: " + m.groesse()); // 4

		System.out.println("Element 4 enthalten? " + m.istEnthalten(4)); // true


		if (m.fuegeEin(7)) System.out.println("Element 7 eingefuegt.");
		 else System.out.println("Element 7 schon enthalten!"); // <--

		if (m.entferne(8)) System.out.println("Element 8 entfernt."); // <--
		 else System.out.println("Element 8 nicht enthalten!");

		if (m.entferne(8)) System.out.println("Element 8 entfernt.");
		 else System.out.println("Element 8 nicht enthalten!"); // <--

		Menge m2 = new Menge();
		m2.fuegeEin(1);
		m2.fuegeEin(2);

		m.union(m2);

		System.out.println("Vereinigte Menge: " + m2); // 5 -> 7 -> 4 -> 2 -> 1 -> (X)


		Menge m3 = new Menge();
		m3.fuegeEin(7);
		m3.fuegeEin(9);
		m3.fuegeEin(2);
		m3.fuegeEin(6);

		System.out.println("Neue Menge: " + m3); // 6 -> 2 -> 9 -> 7 -> (X)

		m2.intersect(m3);

		System.out.println("Schnittmenge: " + m3); // 2 -> 7 -> (X)
	}

}
